Start an upload job
curl --request POST \
--url https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start \
--header 'Authorization: Bearer <token>'import requests
url = "https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"job_id": "<string>",
"kind": "conversation_blocks",
"status": "awaiting_upload",
"created_at": "2023-11-07T05:31:56Z",
"result": {
"rows_received": 123,
"rows_written": 123,
"dataset_id": 123,
"rejected": [
{
"row": 123,
"error": "<string>"
}
],
"table_url": "<string>"
},
"files": [
{
"url": "<string>",
"bytes": 123
}
],
"expires_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Start an upload job
Call this once the file is uploaded. Sets the job to queued and starts processing.
Returns 409 if nothing was uploaded yet or the job was already started. Returns 413 if the file is over 128MB.
POST
/
bulk_ingest
/
jobs
/
{job_id}
/
start
Start an upload job
curl --request POST \
--url https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start \
--header 'Authorization: Bearer <token>'import requests
url = "https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://integrations.rippit.com/api/v2/bulk_ingest/jobs/{job_id}/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"job_id": "<string>",
"kind": "conversation_blocks",
"status": "awaiting_upload",
"created_at": "2023-11-07T05:31:56Z",
"result": {
"rows_received": 123,
"rows_written": 123,
"dataset_id": 123,
"rejected": [
{
"row": 123,
"error": "<string>"
}
],
"table_url": "<string>"
},
"files": [
{
"url": "<string>",
"bytes": 123
}
],
"expires_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Response
Successful Response
Was this page helpful?